Bug 495210 - Review Request: OpenSCADA - Supervisory controll and data acquisition
Review Request: OpenSCADA - Supervisory controll and data acquisition
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-10 07:50 EDT by Aleksey Popkov
Modified: 2009-07-02 01:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.6.3.3-7.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-02 01:42:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Aleksey Popkov 2009-04-10 07:50:23 EDT
Spec URL: ftp://oscada.org.ua/OpenSCADA/0.6.3/Fedora10/openscada-0.6.3.2-1.src.rpm

SRPM URL: ftp://oscada.org.ua/OpenSCADA/0.6.3/Fedora10/openscada-0.6.3.2-1.src.rpm

Description: The OpenSCADA system is intended for acquisition, archiving, visualization of the information,
delivery of operating influences, and also for other related operations characteristic for full-function
SCADA systems. Owing to a high level of abstraction and modularity, the system can be used in many
adjacent areas.
Comment 1 Peter Lemenkov 2009-04-21 10:44:18 EDT
Cannot download this file:

[petro@Sulaco ~]$ wget ftp://oscada.org.ua/OpenSCADA/0.6.3/Fedora10/openscada-0.6.3.2-1.src.rpm
--2009-04-21 18:43:43--  ftp://oscada.org.ua/OpenSCADA/0.6.3/Fedora10/openscada-0.6.3.2-1.src.rpm
           => `openscada-0.6.3.2-1.src.rpm'
Распознаётся oscada.org.ua... 82.207.88.73
Устанавливается соединение с oscada.org.ua|82.207.88.73|:21... соединение установлено.
Выполняется вход под именем anonymous ... 
Неверный логин.
[petro@Sulaco ~]$
Comment 2 Peter Lemenkov 2009-04-22 02:10:03 EDT
Heh! Seems that Firefox uses different anonymous credentials, than lftp :). I'm downloading your srpm right now.
Comment 3 Peter Lemenkov 2009-05-13 04:11:34 EDT
I'll review it.
Comment 4 Aleksey Popkov 2009-06-05 05:16:05 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Prerelease OpenSCADA 0.6.3.3.
Comment 5 Peter Lemenkov 2009-06-05 05:18:16 EDT
Deleted Release Notes Contents.

Old Contents:
Prerelease OpenSCADA 0.6.3.3.
Comment 6 Aleksey Popkov 2009-06-05 05:32:22 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
http://aleksey2005.fedorapeople.org/openscada-0.6.3.3-0.1.svn901.fc10.src.rpm

http://aleksey2005.fedorapeople.org/openscada.spec

http://koji.fedoraproject.org/koji/taskinfo?taskID=1394556
Comment 8 Peter Lemenkov 2009-06-05 05:39:50 EDT
Yes, that's better!

Please, in the future use this field - all other fields are almost deprecated (bugzilla is old and rather big pile of dirt).
Comment 15 Peter Lemenkov 2009-06-13 03:49:57 EDT
REVIEW:

#  MUST: rpmlint must be run on every package. The output should be posted in the review.[1]
+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.

+/- The package meets the Packaging Guidelines. All initial issues were fixed during the number of conversations via xmpp. One small note - don't forget to increment release of spec-file on each relatively big change.

+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file must be written in American English.
+ The spec file for the package is almost legible. 

- The sources used to build the package MUST match the upstream source, as provided in the spec URL.

[petro@Sulaco SOURCES]$ md5sum openscada-0.6.3.3.tar.gz*
6c474b6c77b8fe9a7943d6c2c85bbd68  openscada-0.6.3.3.tar.gz
f66f45c28ba9c50f0d38f8a2e76cd741  openscada-0.6.3.3.tar.gz.1
[petro@Sulaco SOURCES]$

Please, include proper tarball.

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji logs above.

+/- If the package does not successfully compile, build or work on an architecture, then we should be listed in the spec in ExcludeArch. However I see no point in doing so, since the package is unlikely be built on something non-x86 w/o help from upstream (and there are a rumors, that upstream is working on it).

+ All build dependencies are listed in BuildRequires.

+/- The spec file handles locales properly. Unfortunately, it cannot be done with aim of %find_lang macro.

+ The package calls ldconfig in %post and %postun.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
+ Large documentation files are in a -doc subpackage.
+ Everything, the package includes as %doc, does not affect the runtime of the application.
+ Header files are in a -devel package.
+ No static libraries
+ The package does not contain pkgconfig(.pc) files
+ The library files that end in .so (without suffix) are in a -devel package.
+ The devel package requires the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
+ The package does NOT contain any .la libtool archives
+ Since the packages containing GUI applications, it includes a %{name}.desktop file, and that file is properly installed with desktop-file-install in the %install section.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.


So, please provide proper srpm-file.
Comment 16 Peter Lemenkov 2009-06-13 03:52:31 EDT
Oh, I forgot to append the rpmlint log. Anyway, please provide proper srpm and I'll finish this review.
Comment 17 Peter Lemenkov 2009-06-13 04:31:11 EDT
Ok, the issue with different tarballs was resolved:

http://aleksey2005.fedorapeople.org/openscada.spec
http://aleksey2005.fedorapeople.org/openscada-0.6.3.3-1.fc10.src.rpm

[petro@Sulaco SOURCES]$ md5sum openscada-0.6.3.3.tar.gz*
f66f45c28ba9c50f0d38f8a2e76cd741  openscada-0.6.3.3.tar.gz
f66f45c28ba9c50f0d38f8a2e76cd741  openscada-0.6.3.3.tar.gz.1
[petro@Sulaco SOURCES]$
Comment 19 Peter Lemenkov 2009-06-13 06:44:02 EDT
rpmlint output:

[petro@Workplace oscada]$ rpmlint *rpm
openscada-ARH-DBArch.i586: W: no-documentation
openscada-ARH-FSArch.i586: W: no-documentation
openscada-DAQ-BlockCalc.i586: W: no-documentation
openscada-DAQ-DCON.i586: W: no-documentation
openscada-DAQ-Gate.i586: W: no-documentation
openscada-DAQ-JavaLikeCalc.i586: W: no-documentation
openscada-DAQ-LogicLevel.i586: W: no-documentation
openscada-DAQ-ModBus.i586: W: no-documentation
openscada-DAQ-Siemens.i586: W: no-documentation
openscada-DAQ-SNMP.i586: W: no-documentation
openscada-DAQ-Soundcard.i586: W: no-documentation
openscada-DAQ-System.i586: W: no-documentation
openscada-DB-DBF.i586: W: no-documentation
openscada-DB-MySQL.i586: W: no-documentation
openscada-DB-SQLite.i586: W: no-documentation
openscada-demo.i586: W: no-documentation
openscada-devel.i586: W: no-documentation
openscada-Protocol-HTTP.i586: W: no-documentation
openscada-Protocol-SelfSystem.i586: W: no-documentation
openscada-Special-FlibComplex1.i586: W: no-documentation
openscada-Special-FlibMath.i586: W: no-documentation
openscada-Special-FlibSys.i586: W: no-documentation
openscada-Special-SystemTests.i586: W: no-documentation
openscada-Transport-Serial.i586: W: no-documentation
openscada-Transport-Sockets.i586: W: no-documentation
openscada-Transport-SSL.i586: W: no-documentation
openscada-UI-QTCfg.i586: W: no-documentation
openscada-UI-QTVision.i586: W: no-documentation
openscada-UI-WebCfg.i586: W: no-documentation
openscada-UI-WebCfgd.i586: W: no-documentation
openscada-UI-WebVision.i586: W: no-documentation
34 packages and 0 specfiles checked; 0 errors, 31 warnings.
[petro@Workplace oscada]$


all these messages may be safely ignored, since there is no documentation to all these modules. 


ok, this package is


APPROVED.
Comment 20 Aleksey Popkov 2009-06-13 07:50:19 EDT
New Package CVS Request
=======================
Package Name: openscada
Short Description: Open SCADA system project
Owners: aleksey2005
Branches: F-10 F-11 EL-4 EL-5
InitialCC: peter
Comment 21 Kevin Fenzi 2009-06-14 14:55:32 EDT
cvs done.
Comment 22 Fedora Update System 2009-06-15 05:38:39 EDT
openscada-0.6.3.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/openscada-0.6.3.3-1.fc10
Comment 23 Fedora Update System 2009-06-15 05:38:45 EDT
openscada-0.6.3.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openscada-0.6.3.3-1.fc11
Comment 24 Fedora Update System 2009-06-18 07:39:43 EDT
openscada-0.6.3.3-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openscada'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6518
Comment 25 Fedora Update System 2009-06-18 07:49:40 EDT
openscada-0.6.3.3-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openscada'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6595
Comment 26 Michael Schwendt 2009-06-18 10:03:24 EDT
> SHOULD: The reviewer should test that the package functions as
> described. A package should not segfault instead of running, for example.

At least try to install all its sub-packages. There are broken dependencies as a result of typos in the spec file.


> +/- The spec file handles locales properly. Unfortunately,
> it cannot be done with aim of %find_lang macro.

Why not?


> %preun
> /sbin/chkconfig --del openscadad

> %post
> /sbin/ldconfig
> /sbin/chkconfig --add openscadad
> /sbin/chkconfig openscadad off

So, on package updates, the service is turned off again?
Hint: Rely on https://fedoraproject.org/wiki/Packaging/SysVInitScript
Comment 27 Peter Lemenkov 2009-06-18 10:46:26 EDT
(In reply to comment #26)

> > SHOULD: The reviewer should test that the package functions as
> > described. A package should not segfault instead of running, for example.
> 
> At least try to install all its sub-packages. There are broken dependencies as
> a result of typos in the spec file.

These broken dependencies are the result of strange processing of Requires directives by rpmbuild. However, the maintainer already added whitespaces around '=' sign in Requires directives, to fix all this mess.

> > +/- The spec file handles locales properly. Unfortunately,
> > it cannot be done with aim of %find_lang macro.
> 
> Why not?

%find_lang missed most of locale-files, installed by this application.

> > %preun
> > /sbin/chkconfig --del openscadad
> 
> > %post
> > /sbin/ldconfig
> > /sbin/chkconfig --add openscadad
> > /sbin/chkconfig openscadad off
> 
> So, on package updates, the service is turned off again?
> Hint: Rely on https://fedoraproject.org/wiki/Packaging/SysVInitScript 

Oops. Will be fixed in future releases, I hope. I'll file a bug.
Comment 28 Fedora Update System 2009-06-18 11:24:06 EDT
openscada-0.6.3.3-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openscada-0.6.3.3-6.fc11
Comment 29 Fedora Update System 2009-06-18 11:24:16 EDT
openscada-0.6.3.3-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/openscada-0.6.3.3-6.fc10
Comment 30 Michael Schwendt 2009-06-18 12:22:13 EDT
> These broken dependencies are the result of strange processing of Requires
> directives by rpmbuild.

Attempts at installing the built packages would have caught these mistakes (and also lots of other subtle type errors in dependencies that can happen).

> %find_lang missed most of locale-files, installed by this application.

How was it executed? Note that not using %find_lang is prohibited by the guidelines.

It's possible to execute %find_lang multiple times, each time with a different prefix argument. It's even possible to pass a regexp arg to %find_lang as a last resort.
Comment 31 Peter Lemenkov 2009-06-18 12:42:42 EDT
(In reply to comment #30)
> > These broken dependencies are the result of strange processing of Requires
> > directives by rpmbuild.
> 
> Attempts at installing the built packages would have caught these mistakes (and
> also lots of other subtle type errors in dependencies that can happen).

Agree. Anyway, maintainer already added workaround for this rpm bug and pushed new release in repository.

I also filed a ticket against rpm:

https://bugzilla.redhat.com/show_bug.cgi?id=506757

> > %find_lang missed most of locale-files, installed by this application.
> 
> How was it executed? Note that not using %find_lang is prohibited by the
> guidelines.
> 
> It's possible to execute %find_lang multiple times, each time with a different
> prefix argument. It's even possible to pass a regexp arg to %find_lang as a
> last resort.  

This should be mentioned in Guidelines. I'll advice maintainer to make neccessary changes in the next release. And you're wrong - prohibited only usage of %{_datadir}/locale/* (e.g. w/o lang marks). Take a look at this snippet from the actual Rewview Guidelines:


MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
Comment 32 Michael Schwendt 2009-06-18 13:15:02 EDT
Well, I partially agree with that. The guidelines should mention that manual usage of %lang(..) would be fine, too, provided that it really is.

However, %{_datadir}/locale/* is just an example of how not to do it. What about
/usr/share/gnome/help/%{name}/*/* then? ;)

The %find_lang macro takes a couple of additional options for GNOME/KDE/Qt specific paths plus more. See /usr/lib/rpm/find-lang.sh - those paths are not matched by the example in the guidelines and could lead the packager to use other wildcards when including message translation objects stored in places where %find_lang doesn't find them by default.
Comment 33 Fedora Update System 2009-06-19 09:37:14 EDT
openscada-0.6.3.3-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openscada'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6714
Comment 34 Fedora Update System 2009-06-19 09:39:45 EDT
openscada-0.6.3.3-6.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openscada'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6724
Comment 35 Fedora Update System 2009-06-19 17:53:57 EDT
openscada-0.6.3.3-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/openscada-0.6.3.3-7.fc10
Comment 36 Fedora Update System 2009-06-19 17:54:06 EDT
openscada-0.6.3.3-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openscada-0.6.3.3-7.fc11
Comment 37 Fedora Update System 2009-06-24 15:24:33 EDT
openscada-0.6.3.3-7.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openscada'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6929
Comment 38 Fedora Update System 2009-06-24 15:24:44 EDT
openscada-0.6.3.3-7.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openscada'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6931
Comment 39 Fedora Update System 2009-07-02 01:42:46 EDT
openscada-0.6.3.3-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 40 Fedora Update System 2009-07-02 01:46:55 EDT
openscada-0.6.3.3-7.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.